Package com.sun.jna.platform.linux

# Class LibC.Statvfs

java.lang.Object
com.sun.jna.Structure
com.sun.jna.platform.linux.LibC.Statvfs

Enclosing interface:
  LibC

@FieldOrder({"f_bsize","f_frsize","f_blocks","f_bfree","f_bavail","f_files","f_ffree","f_favail","f_fsid","_f_unused","f_flag","f_namemax","_f_spare"}) public static class LibC.Statvfs extends Structure

## Nested Class Summary

## Nested classes/interfaces inherited from class com.sun.jna.Structure

`Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

## Field Summary

Fields
Modifier and Type
Field
Description
`int[]`
`_f_spare`
`int`
`_f_unused`
`NativeLong`
`f_bavail`
`NativeLong`
`f_bfree`
`NativeLong`
`f_blocks`
`NativeLong`
`f_bsize`
`NativeLong`
`f_favail`
`NativeLong`
`f_ffree`
`NativeLong`
`f_files`
`NativeLong`
`f_flag`
`NativeLong`
`f_frsize`
`NativeLong`
`f_fsid`
`NativeLong`
`f_namemax`

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

## Constructor Summary

Constructors
Constructor
Description
`Statvfs()`

## Method Summary

Modifier and Type
Method
Description
`protected List<Field>`
`getFieldList()`
Look up all fields in this class and superclasses.
`protected List<String>`
`getFieldOrder()`
Returns this Structure's field names in their proper order.
When defining a new `Structure` you shouldn't override this method, but use `Structure.FieldOrder` annotation to define your field order(this also works with inheritance)
If you want to do something non-standard you can override the method and define it as followed

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### f_bsize

public NativeLong f_bsize

### f_frsize

public NativeLong f_frsize

### f_blocks

public NativeLong f_blocks

### f_bfree

public NativeLong f_bfree

### f_bavail

public NativeLong f_bavail

### f_files

public NativeLong f_files

### f_ffree

public NativeLong f_ffree

### f_favail

public NativeLong f_favail

### f_fsid

public NativeLong f_fsid

### _f_unused

public int _f_unused

### f_flag

public NativeLong f_flag

### f_namemax

public NativeLong f_namemax

### _f_spare

public int[] _f_spare

## Constructor Details

### Statvfs

public Statvfs()

## Method Details

### getFieldList

protected List<Field> getFieldList()
Description copied from class: `Structure`
Look up all fields in this class and superclasses.

Overrides:
  `getFieldList` in class `Structure`
Returns:
  ordered list of public `Field` available on this `Structure` class.

### getFieldOrder

protected List<String> getFieldOrder()
Description copied from class: `Structure`
Returns this Structure's field names in their proper order.
When defining a new `Structure` you shouldn't override this method, but use `Structure.FieldOrder` annotation to define your field order(this also works with inheritance)
If you want to do something non-standard you can override the method and define it as followed

     protected List<String> getFieldOrder() {
         return Arrays.asList(...);
     }

IMPORTANT When deriving from an existing Structure subclass, ensure that you augment the list provided by the superclass, e.g.

     protected List<String> getFieldOrder() {
         List<String> fields = new LinkedList<String>(super.getFieldOrder());
         fields.addAll(Arrays.asList(...));
         return fields;
     }

Field order must be explicitly indicated, since the field order as returned by `Class.getFields()` is not guaranteed to be predictable.

Overrides:
  `getFieldOrder` in class `Structure`
Returns:
  ordered list of field names